hspec-discover-2.4.1: Automatically discover and run Hspec tests

Safe Haskell | Safe
Language | Haskell2010

Test.Hspec.Discover.Run

Contents

- Orphan instances

Description

A preprocessor that finds and combines specs.

NOTE: This module is not meant for public consumption. For user documentation look at http://hspec.github.io/hspec-discover.html.

Synopsis

- run :: [String] -> IO ()
- data Spec = Spec {
  - specFile :: FilePath
  - specModule :: String
  }
- importList :: [Spec] -> ShowS
- fileToSpec :: FilePath -> FilePath -> Maybe Spec
- findSpecs :: FilePath -> IO [Spec]
- getFilesRecursive :: FilePath -> IO [FilePath]
- driverWithFormatter :: String -> ShowS
- moduleNameFromId :: String -> String
- pathToModule :: FilePath -> String

# Documentation

run :: [String] -> IO () #

data Spec #

Constructors

Spec |
Fields specFile :: FilePath specModule :: String

Instances

Eq Spec # |
Methods (==) :: Spec -> Spec -> Bool # (/=) :: Spec -> Spec -> Bool #
Show Spec # |
Methods showsPrec :: Int -> Spec -> ShowS # show :: Spec -> String # showList :: [Spec] -> ShowS #

importList :: [Spec] -> ShowS #

Generate imports for a list of specs.

fileToSpec :: FilePath -> FilePath -> Maybe Spec #

findSpecs :: FilePath -> IO [Spec] #

getFilesRecursive :: FilePath -> IO [FilePath] #

driverWithFormatter :: String -> ShowS #

moduleNameFromId :: String -> String #

Return module name of a fully qualified identifier.

pathToModule :: FilePath -> String #

Derive module name from specified path.

# Orphan instances

IsString ShowS # |
Methods fromString :: String -> ShowS #